Subject: Re: bug#35727: Connecting Geiser to Guile listening to a socket: No prompt found! (.guile to blame)

From: Luis Felipe <[email-masked]>
Date: Thu, 12 Jan 2023 19:20:14 +0000

On Thursday, January 12th, 2023 at 17:32, Luis Felipe <[email-masked]> wrote:

> Hi Mekeor,

> On Monday, December 12th, 2022 at 13:32, Mekeor Melire [email-masked] wrote:
> 

> > Does it work when you start the Guile REPL with an
> > environment-variable called INSIDE_EMACS?
> 

> It does, thanks.

> > If this works, then I'd suggest that this is not a bug but rather
> > you got to know that you need to deliver that environment variable
> > to guix/guile. We could then close this ticket.
> 

> I'm not sure what would be the right place to document that tho...
> 

> > Personally, I think this is only a bug in Geiser which should be
> > able to parse colored prompts.

Well, it turns out it is not:

«geiser guile is intended to work without extra .guile settings. my guess is that your .guile is possibly altering the looks of the prompt, that is explicitly not supported by geiser.» — jaor, https://gitlab.com/emacs-geiser/guile/-/issues/26